import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 自循环流程服务对象基类
 *
 * @export
 * @class IBIZSample0008ServiceBase
 * @extends {EntityServie}
 */
export default class IBIZSample0008ServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZSample0008ServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZSample0008ServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZSample0008ServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizsample0008';
        this.APPDEKEY = 'ibizsample0008id';
        this.APPDENAME = 'ibizsample0008s';
        this.APPDETEXT = 'ibizsample0008name';
        this.APPNAME = 'demo';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0008ServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().post(`/ibizsample0008s/${context.ibizsample0008}/select`,data,isloading);

            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0008ServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}